Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ServerInfo

All Superinterfaces:
  java.io.Serializable

    public interface ServerInfo

extends java.io.Serializable

The `ServerInfo` interface provide some methods. `JREngine` can use these methods to get some info about the server and task. This interface will be provided to users, and users can develop their own code by using it.

Method Summary
`java.util.Vector` | `getParamDescs()` Gets descriptions of all parameters used in the task.
`java.lang.String` | `getRemoteAddress()` Get the address indicate client sent request.
`java.lang.String` | `getRequestURL()` Get the request URL.
`java.util.Properties` | `getScheduleProperties()` Get task's schedule properties, e.g.
`java.util.Properties` | `getTaskProperties()` Get task's properties, e.g.
`java.util.Vector` | `getUserGroups(java.lang.String userID)` Get all groups which contain the userID.

Method Detail

### getTaskProperties

    java.util.Properties getTaskProperties()
                                           throws RptServerException

  Get task's properties, e.g. task ID, task class... If you want to transmit self-defined properties with the object of this class, you must name your properties with the prefix,APICont.TAG_USER_PROPS_PREFIX . For detailed info with this properties, please consult %installroot%\help\en\dialogs\admschd.htm.

  Returns:
    a Properties include these infos.
  Throws:
    `RptServerException`

### getScheduleProperties

    java.util.Properties getScheduleProperties()
                                               throws RptServerException

  Get task's schedule properties, e.g. next run time, schedule type... If this method return null, it means that this task's launch type is instant launch, for detailed info with this properties, please consult %installroot%\help\en\dialogs\admschd.htm.

  Returns:
    a Properties include these infos.
  Throws:
    `RptServerException`

### getRequestURL

    java.lang.String getRequestURL()
                                   throws RptServerException

  Get the request URL. If task is a scheduled task, and JREntServer has been shut down after the schedule was submitted, method will return null.

  Returns:
    a String indicated URL.
  Throws:
    `RptServerException`

### getRemoteAddress

    java.lang.String getRemoteAddress()
                                      throws RptServerException

  Get the address indicate client sent request. If task is a scheduled task, and JREntServer has been shut down after the schedule was submitted, method will return null.

  Returns:
    a String indicated address.
  Throws:
    `RptServerException`

### getUserGroups

    java.util.Vector getUserGroups(java.lang.String userID)
                                   throws RptServerException

  Get all groups which contain the userID.

  Throws:
    `RptServerException`

### getParamDescs

    java.util.Vector getParamDescs()
                                   throws RptServerException

  Gets descriptions of all parameters used in the task.

  Returns:
    a Vector, each element is a `jet.formula.ParamDesc` object. If no parameter is used in the task, a zero size Vector will be returned. After submit the task, it contains user input value.
  Throws:
    `RptServerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD